# -*- coding: utf-8 -*-
"""The tgapp-smallpress package"""
import tg, os, logging

log = logging.getLogger('tgapp-smallpress')

def plugme(app_config, options):
    def init_whoosh(app):
        try:
            from whoosh.index import create_in
            log.info('Enabling Whoosh Support')
            whoosh_enabled = True
        except ImportError:
            log.info('Whoosh Not Found, disabled')
            whoosh_enabled = False

        if whoosh_enabled:
            from smallpress.model.models import WHOOSH_SCHEMA
            index_path = tg.config.get('smallpress_whoosh_index', '/tmp/smallpress_whoosh')
            if not os.path.exists(index_path):
                os.mkdir(index_path)
                ix = create_in(index_path, WHOOSH_SCHEMA)

        return app

    if not app_config.use_toscawidgets:
        app_config.use_toscawidgets = True

    if getattr(app_config, 'prefer_toscawidgets2', False):
        raise Exception("Smallpress can't work with prefer_toscawidgets2 option, please change it to use_toscatiwdgets2 = True")

    app_config.register_hook('before_config', init_whoosh)
    return dict(appid='smallpress', global_helpers=False)